Name:           tvtime
Version:        1.0.11
Release:        %mkrel 2
Summary:        High quality television application
Group:          Video
License:        GPLv2+ and LGPLv2+
URL:            http://tvtime.net/
Source0:        http://linuxtv.org/downloads/tvtime/%{name}-%{version}.tar.xz
Patch0:         tvtime-1.0.10-honor-cflags.patch
Patch1:			tvtime-1.0.11-language-desktop.patch
BuildRequires:  libx11-devel
BuildRequires:  libxml2-devel
BuildRequires:  libpng-devel
BuildRequires:  freetype2-devel
BuildRequires:  libSDL-devel
BuildRequires:	libxv-devel
BuildRequires:	libxtst-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel

%description
Tvtime is a high quality television application for use with video
capture cards.  tvtime processes the input from a capture card and
displays it on a computer monitor or projector.  Unlike other television
applications, tvtime focuses on high visual quality making it ideal for
videophiles.

  tvtime supports:

  o   Deinterlaced output at full interlaced rate of 59.94 frames per
      second for NTSC source, or 50 frames per second for PAL sources.
      This gives smoothness of motion and high visual quality.

  o   Multiple deinterlacing algorithms for finding the optimal mode for
      your video content and available processor speed.

  o   16:9 aspect ratio mode for the highest available resolution when
      processing input from an external DVD player or digital satellite
      receiver.

  o   A super-slick on-screen-display for the complete television
      experience, with a featureful menu system.

  o   2-3 Pulldown detection for optimal quality viewing of film content
      from NTSC sources.

%package doc
Summary:	User manual for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains the user manual for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x --prefix=/usr --mandir=/usr/share/man --localstatedir=/var --sysconfdir=/etc
%make

%install
%makeinstall ROOT=%{buildroot}

#xdg
desktop-file-install --vendor="" \
    --add-category='TV' \
    --add-category='Video' \
    --add-category='X-MandrivaLinux-Multimedia-Video' \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -d %{buildroot}%{_docdir}/%{name}
ln -sf ../%{name}-doc/html %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%doc data/COPYING.FreeMonoBold data/COPYING.tvtimeSansBold
%exclude %{_docdir}/%{name}/html
%{_bindir}/*
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/tvtime.xml
%{_datadir}/%{name}
# freedesktop stuff
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/appdata/tvtime.appdata.xml

%files doc
%doc ChangeLog
%doc docs/html
%doc %{_docdir}/%{name}/html


%changelog
* Sat Dec 16 2017 bb2 <bb2> 1.0.11-2pclos2017
- rebuild against updated libs 

* Thu Jan 05 2017 bb <bb> - 1.0.11-1pclos2017
- new version

* Tue Mar 15 2016 bb <bb> 1.0.8-2pclos2016
- fix rpm group

* Tue Nov 10 2015 bb <bb> 1.0.8-1pclos2015
- update


